#
# spec file for package ids (Version 0.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ids
Copyright:    BSD
Group:        Applications/Internet
Requires:     apache perl-Image-Info perl-PerlMagick
Autoreqprov:  on
Version:      0.8
Release:      29
URL:          http://ids.sourceforge.net
Summary:      Image Display System
Source:       ids-%{version}.tar.bz2
Source1:      ids.conf
Source2:      htpasswd.ids
Source3:      rc.config.ids
Source4:      module.ids
Patch:	      ids-%{version}.dif
BuildArchitectures:     noarch
BuildRoot:    /var/tmp/%{name}-build

%description
IDS (Image Display System) is a CGI written in Perl that interactively generates a photo album website. All you need to provide are the images and (optionally) text descriptions. As you add new pictures, they will appear automatically. Each image will be displayed with information such as image type, file size, image size, and date uploaded. If EXIF information is embedded in the image (shutter speed, aperture, focal length, etc.), it will be displayed.
It will create thumbnail images for JPEG, PNG, TIFF, and GIF images. It can be configured to display icons for any other type of file.
IDS uses HTML template sets called "themes." This allows you and, optionally, your visitors, to change the look of your site on the fly. You can create your own themes.

SuSE series: n

%prep
%setup
%patch

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/httpd
install -d -m 755 $RPM_BUILD_ROOT/usr/local/httpd/ids
install -d -m 755 $RPM_BUILD_ROOT/usr/local/httpd/ids/album-data
install -d -m 755 $RPM_BUILD_ROOT/usr/local/httpd/ids/albums
install -d -m 755 $RPM_BUILD_ROOT/usr/local/httpd/ids/image-cache
install -d -m 755 $RPM_BUILD_ROOT/usr/local/httpd/ids/logs
cp -a ids.conf idsShared.pm index.cgi previewmaker.pl site_news.txt \
    $RPM_BUILD_ROOT/usr/local/httpd/ids
cp -a admin localizations postcomment $RPM_BUILD_ROOT/usr/local/httpd/ids
cp -a site-images themes $RPM_BUILD_ROOT/usr/local/httpd/ids
ln -sf ../localizations $RPM_BUILD_ROOT/usr/local/httpd/ids/admin/localizations
cp $RPM_SOURCE_DIR/ids.conf $RPM_BUILD_ROOT/etc/httpd
cp $RPM_SOURCE_DIR/htpasswd.ids $RPM_BUILD_ROOT/etc/httpd
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/rc.config.ids $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -d -m 755 $RPM_BUILD_ROOT/etc/httpd/modules
install -m 644 $RPM_SOURCE_DIR/module.ids $RPM_BUILD_ROOT/etc/httpd/modules/ids

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkdir -p var/adm/notify/messages
cat << EOT > var/adm/notify/messages/ids-configuration
Hallo,  (english text below)
IDS hat einen Admin-Account, mit dem es unter der URL
"http://localhost/ids/admin" administriert werden kann. Der Benutzername
ist "admin", das Passwort ist leer. Dieses sollte als erstes
mit "htpasswd /etc/httpd/htpasswd.ids admin" gendert werden.
Hello,
IDS has an administrator account with which you can configure it at
"http://localhost/ids/admin". The login is "admin", the password
is empty. You should change at first the password with
"htpasswd /etc/httpd/htpasswd.ids admin".
Have a lot of fun...
                          Your SuSE Team
EOT
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  test -d etc/rc.config.d || mkdir -p etc/rc.config.d
  test -e etc/rc.config.d/apache.rc.config || touch etc/rc.config.d/apache.rc.config
  bin/fillup -q etc/rc.config.d/apache.rc.config var/adm/fillup-templates/rc.config.ids
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ids"
  echo "and update by hand."
fi

%files
%defattr(-,root,root)
%doc CREDITS README
%config /etc/httpd/ids.conf
%config(noreplace) /etc/httpd/htpasswd.ids
%dir /usr/local/httpd/ids
%dir /usr/local/httpd/ids/admin
%dir /usr/local/httpd/ids/albums
%config(noreplace) /usr/local/httpd/ids/admin/.htaccess
%attr(755,wwwrun,root) %dir /usr/local/httpd/ids/album-data
%attr(755,wwwrun,root) %dir /usr/local/httpd/ids/image-cache
%attr(755,wwwrun,root) %dir /usr/local/httpd/ids/logs
%attr(755,wwwrun,root) %dir /usr/local/httpd/ids/postcomment
%attr(644,wwwrun,root) %config(noreplace) /usr/local/httpd/ids/ids.conf
%attr(644,wwwrun,root) %config(noreplace) /usr/local/httpd/ids/site_news.txt
%attr(644,wwwrun,root) %config(noreplace) /usr/local/httpd/ids/postcomment/banned_ip.txt
%attr(644,wwwrun,root) %config(noreplace) /usr/local/httpd/ids/postcomment/words.txt
/usr/local/httpd/ids/admin/*
/usr/local/httpd/ids/localizations
/usr/local/httpd/ids/site-images
/usr/local/httpd/ids/themes
/usr/local/httpd/ids/postcomment/*.cgi
/usr/local/httpd/ids/idsShared.pm
/usr/local/httpd/ids/index.cgi
/usr/local/httpd/ids/previewmaker.pl
/var/adm/fillup-templates/rc.config.ids
/etc/httpd/modules/ids

%changelog -n ids
* Wed Aug 29 2001 - kukuk@suse.de
- correct german part of notify email
* Mon Aug 20 2001 - kukuk@suse.de
- Initial version
